
local IMMUNE_ITEMS = {
    ["locomotive"] = true,
    ["cargo-wagon"] = true,
    ["fluid-wagon"] = true,
    ["big-electric-pole"] = true,
    ["curved-rail"] = true,
    ["straight-rail"] = true,
    ["rail-signal"] = true,
    ["rail-chain-signal"] = true,
}

local function handle_create_event(event)
    local entity = event.created_entity
    if IMMUNE_ITEMS[entity.name] then
        entity.destructible = false
    end
end

script.on_event(defines.events.on_built_entity, handle_create_event)
script.on_event(defines.events.on_robot_built_entity, handle_create_event)
